#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeappsver	23.08.5
%define		qtver		5.15.2
%define		kf5ver		5.71.0
%define		kaname		arianna
Summary:	An ebook reader
Name:		ka5-%{kaname}
Version:	23.08.5
Release:	1
License:	GPL v3
Group:		X11/Applications
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	a658239afbb982d5a78a0e6766ad2921
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel
BuildRequires:	Qt5Gui-devel >= 5.15.2
BuildRequires:	Qt5Network-devel >= 5.15.10
BuildRequires:	Qt5Positioning-devel >= 5.15
BuildRequires:	Qt5Qml-devel >= 5.15.10
BuildRequires:	Qt5Quick-controls2-devel
BuildRequires:	Qt5Quick-devel
BuildRequires:	Qt5Sql-devel
BuildRequires:	Qt5Svg-devel
BuildRequires:	Qt5Test-devel
BuildRequires:	Qt5WebChannel-devel
BuildRequires:	Qt5WebSockets-devel
BuildRequires:	Qt5Widgets-devel >= 5.15.2
BuildRequires:	Qt5Xml-devel >= 5.15.2
BuildRequires:	fontconfig-devel
BuildRequires:	freetype-devel
BuildRequires:	gettext-devel
BuildRequires:	kf5-baloo-devel >= 5.98.0
BuildRequires:	kf5-extra-cmake-modules >= 5.110.0
BuildRequires:	kf5-karchive-devel >= 5.98.0
BuildRequires:	kf5-kconfig-devel >= 5.98.0
BuildRequires:	kf5-kcoreaddons-devel >= 5.110.0
BuildRequires:	kf5-kdbusaddons-devel >= 5.98.0
BuildRequires:	kf5-kfilemetadata-devel >= 5.110.0
BuildRequires:	kf5-ki18n-devel >= 5.98.0
BuildRequires:	kf5-kirigami2-devel >= 5.98.0
BuildRequires:	kf5-kquickcharts-devel >= 5.98.0
BuildRequires:	kf5-kwindowsystem-devel >= 5.98.0
BuildRequires:	kf5-qqc2-desktop-style-devel
BuildRequires:	kirigami-addons-devel >= 0.10
BuildRequires:	ninja
BuildRequires:	pkgconfig
BuildRequires:	python3
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Arianna is an ebook reader.

%prep
%setup -q -n %{kaname}-%{version}

%build
%cmake \
	-B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON
%ninja_build -C build

%if %{with tests}
ctest --test-dir build
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

rm -rf $RPM_BUILD_ROOT%{_kdedocdir}/{sr,zh_CN}

%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/arianna
%{_desktopdir}/org.kde.arianna.desktop
%{_iconsdir}/hicolor/scalable/apps/org.kde.arianna.svg
%{_datadir}/metainfo/org.kde.arianna.appdata.xml
%{_datadir}/qlogging-categories5/arianna.categories
%changelog
* Tue Apr 23 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka5-arianna.git;a=log;h=master

* Fri Mar 15 2024 Witold Filipczyk <witekfl@poczta.onet.pl> d04f6d8
- updated to 23.08.5

* Fri Mar 15 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 0fd3d11
- Revert "- 24.01.95"

* Mon Feb 26 2024 Witold Filipczyk <witekfl@poczta.onet.pl> bb00bdf
- 24.01.95

* Fri Dec 08 2023 Witold Filipczyk <witekfl@poczta.onet.pl> d9dead9
- updated to 23.08.4

* Fri Nov 10 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 81a6899
- updated to 23.08.3

* Fri Oct 13 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 84f244c
- updated to 23.08.2

* Tue Sep 19 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 8b46313
- 23.08.1

